hguDKFZ31_dbconn {hguDKFZ31.db} | R Documentation

## Collect information about the package annotation DB

### Description

Some convenience functions for getting a connection object to (or collecting information about) the package annotation DB.

### Usage

      hguDKFZ31_dbconn()
      hguDKFZ31_dbfile()
      hguDKFZ31_dbschema(file="", show.indices=FALSE)
      hguDKFZ31_dbInfo()

### Arguments

`file` | A connection, or a character string naming the file to print to (see the `file` argument of the `cat` function for the details).
`show.indices` | The CREATE INDEX statements are not shown by default. Use `show.indices=TRUE` to get them.

### Details

`hguDKFZ31_dbconn` returns a connection object to the package annotation DB. IMPORTANT: Don't call `dbDisconnect` on the connection object returned by `hguDKFZ31_dbconn` or you will break all the `AnnDbObj` objects defined in this package!

`hguDKFZ31_dbfile` returns the path (character string) to the package annotation DB (this is an SQLite file).

`hguDKFZ31_dbschema` prints the schema definition of the package annotation DB.

`hguDKFZ31_dbInfo` prints other information about the package annotation DB.

### Value

`hguDKFZ31_dbconn`: a DBIConnection object representing an open connection to the package annotation DB.
`hguDKFZ31_dbfile`: a character string with the path to the package annotation DB.
`hguDKFZ31_dbschema`: none (invisible `NULL`).
`hguDKFZ31_dbInfo`: none (invisible `NULL`).

### See Also

`dbGetQuery`, `dbConnect`, `dbconn`, `dbfile`, `dbschema`, `dbInfo`

### Examples

      ## Count the number of rows in the "probes" table:
      dbGetQuery(hguDKFZ31_dbconn(), "SELECT COUNT(*) FROM probes")

      ## The connection object returned by hguDKFZ31_dbconn() was created with:
      dbConnect(SQLite(), dbname=hguDKFZ31_dbfile(), cache_size=64000, synchronous=0)

      hguDKFZ31_dbschema()

      hguDKFZ31_dbInfo()

[Package hguDKFZ31.db version 2.0.2 Index]